> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yertle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Directory Contents Across Orgs

> Get node contents within a directory path across all organizations the user is a member of.

This endpoint is used by the frontend to show actual nodes within a specific directory
across all organizations the user has access to.



## OpenAPI

````yaml get /orgs/all/directories/contents
openapi: 3.1.0
info:
  title: Flow API
  description: Content-addressing backend with Git-like versioning
  version: 1.0.0
servers:
  - url: https://api.yertle.com
    description: Production
security: []
paths:
  /orgs/all/directories/contents:
    get:
      tags:
        - directories
      summary: Get Directory Contents Across Orgs
      description: >-
        Get node contents within a directory path across all organizations the
        user is a member of.


        This endpoint is used by the frontend to show actual nodes within a
        specific directory

        across all organizations the user has access to.
      operationId: get_directory_contents_across_orgs_orgs_all_directories_contents_get
      parameters:
        - name: path
          in: query
          required: false
          schema:
            type: string
            description: Directory path to list contents
            default: /
            title: Path
          description: Directory path to list contents
        - name: includeSubdirs
          in: query
          required: false
          schema:
            type: boolean
            description: Include nodes from subdirectories
            default: false
            title: Includesubdirs
          description: Include nodes from subdirectories
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DirectoryContentsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DirectoryContentsResponse:
      properties: {}
      additionalProperties: true
      type: object
      title: DirectoryContentsResponse
      description: |-
        Response for directory-contents endpoints.

        Shape is dynamic — callers receive the contents dict produced by the
        search service. Additional fields are allowed.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````